summaryrefslogtreecommitdiff
path: root/check.sh
diff options
context:
space:
mode:
authorJohn Turner <jturner.usa@gmail.com>2025-11-16 22:02:27 +0000
committerJohn Turner <jturner.usa@gmail.com>2025-11-16 22:02:27 +0000
commitd04d2d088735a52e272e52d9eeae832ca4c6854a (patch)
tree271947aff8e415ba03295be862699ace8d8f705e /check.sh
parentb360132b9992bf2f242a6ce0927464d6d04ffa02 (diff)
downloadgentoo-utils-d04d2d088735a52e272e52d9eeae832ca4c6854a.tar.gz
push check.sh
Diffstat (limited to 'check.sh')
-rwxr-xr-xcheck.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/check.sh b/check.sh
new file mode 100755
index 0000000..6e38b7b
--- /dev/null
+++ b/check.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+source /etc/profile
+
+export CC=clang CXX=clang++
+
+cargo fmt --check || exit $?
+
+cargo clippy || exit $?
+
+cargo test -r || exit $?
+
+cargo build --all --all-features || exit $?
+
+build=$(mktemp -d)
+
+meson setup ${build} || exit $?
+
+meson compile -C ${build} || exit $?
+
+meson test -C ${build} || exit $?
+
+rm -rf ${build}
+
+meson format --recursive --check-only || exit $?